Qt 5.6 | Qt Multimedia | C++ Classes | QVideoRendererControl

Qt 5.6.2 Reference Documentation

# QVideoRendererControl Class

The QVideoRendererControl class provides a media control for rendering video to a QAbstractVideoSurface. More...

Header: | #include <QVideoRendererControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QVideoRendererControl()
virtual void | setSurface(QAbstractVideoSurface *surface) = 0
virtual QAbstractVideoSurface * | surface() const = 0

- 31 public functions inherited from QObject

## Protected Functions

| QVideoRendererControl(QObject *parent = Q_NULLPTR)

- 9 protected functions inherited from QObject

## Macros

| QVideoRendererControl_iid

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 2 signals inherited from QObject
- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QVideoRendererControl class provides a media control for rendering video to a QAbstractVideoSurface.

Using the surface() property of QVideoRendererControl a QAbstractVideoSurface may be set as the video render target of a QMediaService.

      QVideoRendererControl *rendererControl = mediaService->requestControl<QVideoRendererControl *>();
      rendererControl->setSurface(myVideoSurface);

QVideoRendererControl is one of a number of possible video output controls.

The interface name of QVideoRendererControl is `org.qt-project.qt.videorenderercontrol/5.0` as defined in QVideoRendererControl_iid.

See also QMediaService::requestControl() and QVideoWidget.

## Member Function Documentation

### `[protected]` QVideoRendererControl::QVideoRendererControl(QObject *parent = Q_NULLPTR)

Constructs a new video renderer media end point with the given parent.

### QVideoRendererControl::~QVideoRendererControl()

Destroys a video renderer media end point.

### `[pure virtual]` void QVideoRendererControl::setSurface(QAbstractVideoSurface *surface)

Sets the surface a video producer renders to.

See also surface().

### `[pure virtual]` QAbstractVideoSurface *QVideoRendererControl::surface() const

Returns the surface a video producer renders to.

See also setSurface().

## Macro Documentation

### QVideoRendererControl_iid

`org.qt-project.qt.videorenderercontrol/5.0`

Defines the interface name of the QVideoRendererControl class.